Skip to main content

Get all invoices

GEThttps://api.propexo.com/v1/invoices/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_id string

The Propexo unique identifier for the property

integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The property management system of record

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required
  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the invoice

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    x_property_idstringrequired

    The external ID of the property from the integration vendor

    x_location_idstring | nullnullablerequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    x_vendor_idstring | nullnullablerequired

    The external ID of the vendor from the integration vendor

    x_financial_account_idstring | nullnullablerequired

    The external ID of the financial account from the integration vendor

    x_cash_financial_account_idstring | nullnullablerequired

    The external ID of the cash financial account from the integration vendor

    x_ap_financial_account_idstring | nullnullablerequired

    The external ID of the AP financial account from the integration vendor

    amount_due_in_centsnumber | nullnullablerequired

    The amount due on the invoice, in cents

    Example: 100000
    amount_paid_in_centsnumber | nullnullablerequired

    The amount paid on the invoice, in cents

    Example: 100000
    custom_data object | nullrequired
    object
    due_datestring | nullnullablerequired

    The due date associated with the invoice

    discount_amount_in_centsnumber | nullnullablerequired

    The deposit amount in cents associated with the invoice

    Example: 100000
    discount_datestring | nullnullablerequired

    The date a discount was issued on invoice

    invoice_datestring | nullnullablerequired

    The date the invoice was issued

    invoice_numberstring | nullnullablerequired

    The reference number for the invoice

    notesstring | nullnullablerequired

    Notes associated with the invoice

    post_datestring | nullnullablerequired

    The date the invoice was posted. Some PMS systems only show the month.

    post_monthstring | nullnullablerequired

    The month the invoice was posted.

    post_status_rawstring | nullnullablerequired

    The raw post status associated with the invoice

    sub_total_amount_in_centsnumber | nullnullablerequired

    The sub total amount of the invoice

    Example: 100000
    total_amount_in_centsnumber | nullnullablerequired

    The amount of the invoice, in cents

    Example: 100000
    property_idstringrequired

    The Propexo unique identifier for the property

    financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the financial account

    cash_financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the cash financial account

    ap_financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the ap financial account

    integration_idstringrequired

    The Propexo unique identifier for the integration

    integration_vendorEnum1required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    invoice_items object[]required
  • Array [
  • x_idstringrequired

    The external ID from the integration vendor

    x_property_idstringrequired

    The external ID of the property from the integration vendor

    x_location_idstring | nullnullablerequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    x_gl_account_idstring | nullnullablerequired

    The external ID of the financial account from the integration vendor

    x_cash_financial_account_idstring | nullnullablerequired

    The external ID of the cash financial account from the integration vendor

    invoice_idstringrequired

    The Propexo unique identifier for the invoice

    construction_job_idstring | nullnullablerequired

    The Propexo unique identifier for the construction job

    amount_due_in_centsnumber | nullnullablerequired

    The amount due on the invoice item, in cents

    Example: 100000
    notesstring | nullnullablerequired

    Notes associated with the invoice item

    total_amount_in_centsnumber | nullnullablerequired

    The amount of the invoice item, in cents

    Example: 100000
    property_idstringrequired

    The Propexo unique identifier for the property

    financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the financial account

    cash_financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the cash financial account

  • ]
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/invoices/
curl https://api.propexo.com/v1/invoices/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"x_vendor_id": "string",
"x_financial_account_id": "string",
"x_cash_financial_account_id": "string",
"x_ap_financial_account_id": "string",
"amount_due_in_cents": 100000,
"amount_paid_in_cents": 100000,
"custom_data": "Unknown Type: object,null",
"due_date": "string",
"discount_amount_in_cents": 100000,
"discount_date": "string",
"invoice_date": "string",
"invoice_number": "string",
"notes": "string",
"post_date": "string",
"post_month": "string",
"post_status_raw": "string",
"sub_total_amount_in_cents": 100000,
"total_amount_in_cents": 100000,
"property_id": "string",
"financial_account_id": "string",
"cash_financial_account_id": "string",
"ap_financial_account_id": "string",
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"invoice_items": [
{
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"x_gl_account_id": "string",
"x_cash_financial_account_id": "string",
"invoice_id": "string",
"construction_job_id": "string",
"amount_due_in_cents": 100000,
"notes": "string",
"total_amount_in_cents": 100000,
"property_id": "string",
"financial_account_id": "string",
"cash_financial_account_id": "string"
}
]
}
]
}